<?php

/* * *******************************************************************************
 * SugarCRM is a customer relationship management program developed by
 * SugarCRM, Inc. Copyright (C) 2004 - 2007 SugarCRM Inc.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY SUGARCRM, SUGARCRM DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 * 
 * You can contact SugarCRM, Inc. headquarters at 10050 North Wolfe Road,
 * SW2-130, Cupertino, CA 95014, USA. or at email address contact@sugarcrm.com.
 * 
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU General Public License version 3.
 * 
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 * these Appropriate Legal Notices must retain the display of the "Powered by
 * SugarCRM" logo. If the display of the logo is not reasonably feasible for
 * technical reasons, the Appropriate Legal Notices must display the words
 * "Powered by SugarCRM".
 * ****************************************************************************** */
$viewdefs['EcmProducts']['DetailView'] = array(
    'templateMeta' => array(
        'form' => array(
            'buttons' => array(
                'EDIT',
                'DELETE',
                array(
                    'customCode' => '<input type="button" class="button" name="generatePDF" id="generatePDF" value="PDF" onclick="window.open(\'index.php?module=EcmProducts&action=shortPDF&record=' . $_REQUEST['record'] . '&to_pdf=1\');">'
                ),
            ),
            'hidden' => array(
                '<input type="hidden" name="position_list" id="position_list" value=\'{$POSITION_LIST}\'>',
                '<input type="hidden" name="action_list" id="action_list" value=\'{$ACTION_LIST|@json_encode}\'>',
            ),
        ),
        'maxColumns' => '2',
        'widths' => array(
            array('label' => '10', 'field' => '30'),
            array('label' => '10', 'field' => '30'),
        ),
        'includes' => array(
            array('file' => 'include/JSON.js'),
            array('file' => 'modules/EcmProducts/AjaxSearch/AjaxSearch.js'),
            array('file' => 'modules/EcmProducts/javascript/formloader.js'),
            array('file' => 'modules/EcmProducts/javascript/MyTable.js'),
            array('file' => 'modules/EcmProducts/javascript/EcmProductDetailView.js'),
            array('file' => 'modules/EcmProducts/javascript/DetailViewDocumentReady.js'),
        ),
    ),
    'panels' => array(
        'LBL_PRODUCT_INFORMATION' => array(
            array('name', 'assigned_user_name'),
            array('code', 'product_active'),
            array('ean', 'ean2'),
            array('B2B', 'B2C'),
            array('check_stock_quantity'),
            array('vendor_name', 'OO'),
            array('status', 'is_consignment'),
            array(
                array(
                    'label' => 'LBL_TAX_CLASS_NAME',
                    'name' => 'vat_name',
                    //'customCode' => '{$VAT_ID}',
                ), 'unit_id'
            ),
            array('pkwiu', 'ks_group'),
            array('ks_group2', 'srp_price'),
            array('price_msh', 'cena_produkcyjna'),
            array('amazon_code')
        ),
        'LBL_PANEL_PRICES' => array(
            0 => array(
                0 => array(
                    'name' => 'items_list_panel4',
                    'allCols' => true,
                    'hideLabel' => true,
                    'customCode' => '{$POSITIONS4}'
                )
            )
        ),
        'LBL_STOCK_INFORMATION' => array(
            array(
                array(
                    'customCode' => '{$INVENTORY_INFORMATION}',
                    'label' => 'Na magazynach',
                ),
            ),
        ),
        'LBL_DRIVERS_IMAGES' => array(
            array(
                array(
                    'label' => 'LBL_PRODUCT_PICTURE',
                    'customCode' => '{$PRODUCT_PICTURE}',
                ),
                array(
                    'label' => 'LBL_PACKING_FRONT_PICTURE',
                    'customCode' => '{$PACKING_FRONT_PICTURE}',
                ),
            ),
            array(
                array(
                    'label' => 'LBL_DRIVER_1',
                    'customCode' => '{$DRIVER_1_DOWNLOAD}',
                ),
                array(
                    'label' => 'LBL_DRIVER_2',
                    'customCode' => '{$DRIVER_2_DOWNLOAD}',
                ),
            ),
        ),
        'LBL_LOGISTIC_INFORMATION' => array(
            array(
                'moq',
                array(
                    'label' => 'LBL_CARTON_DIMENSIONS_1',
                    'customCode' => '{$CARTON_DIMENSIONS_1} x {$CARTON_DIMENSIONS_2} x {$CARTON_DIMENSIONS_3}'
                )
            ),
            array(
                'fob_basis_name',
                'carton_netto_weight'
            ),
            array(
                'un_code',
                'carton_brutto_weight'
            ),
            array(
                'pieces_per_carton',
                'carton_volume_meter'
            ),
            array(
                'product_netto_weight',
            ),
            array(
                'product_brutto_weight',
                'country_of_origin'
            ),
            array(
                'packing_type_name',
                ''
            ),
            array(
                array(
                    'label' => 'LBL_PACKING_DIMENSIONS_1',
                    'customCode' => '{$PACKING_DIMENSIONS_1} x {$PACKING_DIMENSIONS_2} x {$PACKING_DIMENSIONS_3}'
                ),
                ''
            ),
            array(
                'rma'
            ),
            array(
                'boxes_per_layer',
                'number_of_layers'
            ),
            array(
                'boxes_per_palette',
                'pieces_per_palette'
            ),
            array(
                'palette_weight_brutto',
                'qty_per_unit'
            )
        ),
        'LBL_LOCALIZED_INFORMATION' => array(
            array(
                array(
                    'hideLabel' => true,
                    'customCode' => '
								<script>
								{literal}
								function select_lang(value)
								{
									//document.getElementById("ean_pl").style.display="none";
									document.getElementById("remarks_pl").style.display="none";
									document.getElementById("short_description_pl").style.display="none";
									document.getElementById("long_description_pl").style.display="none";
									document.getElementById("price_pl").style.display="none";
									//document.getElementById("ean_en").style.display="none";
									document.getElementById("remarks_en").style.display="none";
									document.getElementById("short_description_en").style.display="none";
									document.getElementById("long_description_en").style.display="none";
									document.getElementById("price_en").style.display="none";
									//document.getElementById("ean_de").style.display="none";
									document.getElementById("remarks_de").style.display="none";
									document.getElementById("short_description_de").style.display="none";
									document.getElementById("long_description_de").style.display="none";
									document.getElementById("price_de").style.display="none";
	
									//document.getElementById("ean_"+value).style.display="block";
									document.getElementById("remarks_"+value).style.display="block";
									document.getElementById("short_description_"+value).style.display="block";
									document.getElementById("long_description_"+value).style.display="block";
									document.getElementById("price_"+value).style.display="block";
								}
								{/literal}
								</script>
								   <select name="slang" id="slang" onchange="select_lang(this.value);">
      								<option value="pl">pl</option>
      								<option value="en">en</option>
      								<option value="de">de</option>
    							   </select>',
                ),
            ),
            array(
                array(
                    'label' => 'LBL_REMARKS',
                    'customCode' => '<div id="remarks_pl">{$REMARKS_pl}</div><div style="display:none;" id="remarks_en">{$REMARKS_en}</div><div style="display:none;" id="remarks_de">{$REMARKS_de}</div>',
                ),
            ),
            array(
                array(
                    'label' => 'LBL_SHORT_DESCRIPTION',
                    'customCode' => '<div id="short_description_pl">{$SHORT_DESCRIPTION_pl}</div><div style="display:none;" id="short_description_en">{$SHORT_DESCRIPTION_en}</div><div style="display:none;" id="short_description_de">{$SHORT_DESCRIPTION_de}</div>',
                ),
                array(
                    'label' => 'LBL_LONG_DESCRIPTION',
                    'customCode' => '<div id="long_description_pl">{$LONG_DESCRIPTION_pl}</div><div style="display:none;" id="long_description_en">{$LONG_DESCRIPTION_en}</div><div style="display:none;" id="long_description_de">{$LONG_DESCRIPTION_de}</div>',
                ),
            ),
            array(
                array(
                    'label' => 'LBL_PRICE',
                    'customCode' => '<div id="price_pl">{$PRICE_pl}</div><div style="display:none;" id="price_en">{$PRICE_en}</div><div style="display:none;" id="price_de">{$PRICE_de}</div>',
                ),
            ),
        ),
        'LBL_COMPONENTS' => array(
            array(
                array(
                    //'name' => 'items_list_panel',
                    'allCols' => true,
                    'hideLabel' => true,
                    'customCode' => '{include file="modules/EcmProducts/tpls/DetailViewComponents.tpl"}',
                )
            )
        ),
        'LBL_PANEL_CATEGORIES' => array(
            0 =>
                array(
                    0 =>
                        array(
                            'name' => 'items_list_panel3',
                            'allCols' => true,
                            'hideLabel' => true,
                            'customCode' => '{$POSITIONS3}',
                        ),
                ),
        ),
        'LBL_TIME_TABLE' => array(
            0 => array(
                0 => array(
                    //'name' => 'time_list_panel',
                    'allCols' => true,
                    'hideLabel' => true,
                    'customCode' => '{include file="modules/EcmProducts/tpls/DetailViewEcmActions.tpl"}',
                ),
            ),
        ),
        'LBL_PANEL_ASSIGNMENT' => array(
            array(
                array(
                    'name' => 'assigned_user_name',
                    'label' => 'LBL_ASSIGNED_TO',
                ),
                array(
                    'name' => 'date_modified',
                    'label' => 'LBL_DATE_MODIFIED',
                    'customCode' => '{$fields.date_modified.value} {$APP.LBL_BY} {$fields.modified_by_name.value}',
                ),
            ),
            array(
                array(
                    'name' => 'date_entered',
                    'customCode' => '{$fields.date_entered.value} {$APP.LBL_BY} {$fields.created_by_name.value}',
                ),
            ),
        ),
    ),
);
?>
